Version 1.11.3 released: overall improvements, added child posts support and an experimental site manager kicking in

Permalink Email to the author Report to webmaster

Standard package updates

Core updated to version 1.11.3.0

  • Fixed issue that prevented Gravatar removal on the user account.
  • Added responsiveness to settings editors (config/preferences).
  • Added support for extra meta tags (to facilitate SEO extenders).
  • Fixed issue on memcache purging method.

Accounts module updated to version 1.14.3

  • Improved preferences editor responsiveness.
  • Added extension points to the accounts browser.

Settings module updated to version 1.6.1

  • Improved editor responsiveness.

Updates Client module updated to version 1.6.0

  • Added support for remote packages deployment.

Posts module updated to version 1.23.0

  • Increased security against disabled accounts.
  • Added og:type meta tag.
  • Added support for child posts:
    • Automatic trees are inserted at the top of single post contents.
    • Trees are fully responsive.
    • Shortcode added to allow relocation and customization.

[Late Addition] Facebook comments module updated to version 1.0.1

  • Added injection of fb:app_id meta tag.

Premium package updates

Messaging module updated to version 2.5.0

  • Added missing check against banned users when sending a message.
  • Added accounts browser extender for banning/unbanning users.

Security module updated to version 2.5.1

  • Minor cosmetic adjustments.

Experimental Site Manager

With the addition for remote deployment, we made a small module and installed it on our website that will allow registered users to push updates and deploy modules on their websites. This module is still in development, but if you want to try it out, it has two parts:

  • A websites registry. By getting into your account preferences you can register all the websites you run on BardCanvas. They can be public or private (behind a LAN).

  • A version checker. When browsing the library on our website, you'll get a widget showing your websites. You can then check if all your websites have that component up to date or install it with a single click.

At the moment, the module is only available as a service on our website. If you want to give it a try, just register an account on bardcanvas.com, validate your email and go to the "Assets Registry" on your account preferences page to register your websites. Then go somewhere on the library and look for the "Deploy to my websites" section below the contents.

Nobody has rated this post!
Vote now!
Cumulative results: 0 points • Rating: 0.000